"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 *
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */
var Category = function Category(_ref) {
  var children = _ref.children,
      className = _ref.className,
      header = _ref.header,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "header", "testSection"]);

  return _react["default"].createElement("li", _extends({
    className: (0, _classnames["default"])("oui-block-list__category", className),
    "data-test-section": testSection
  }, props), header && _react["default"].createElement("div", {
    className: "oui-block-list__category__name soft-half--ends soft--sides",
    style: {
      wordBreak: "break-word"
    }
  }, header), children && _react["default"].createElement("ul", null, children));
};

Category.propTypes = {
  /** Items that appears within the category */
  children: _propTypes["default"].node.isRequired,

  /** CSS class names. */
  className: _propTypes["default"].string,

  /** Node or component that appears above the `children` */
  header: _propTypes["default"].node,

  /** Hook for automated JavaScript tests */
  testSection: _propTypes["default"].string
};
Category.displayName = "BlockList.Category";
var _default = Category;
exports["default"] = _default;