"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Category = _interopRequireDefault(require("./Category"));

var _Item = _interopRequireDefault(require("./Item"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Building blocks to display a list of items that perform actions.
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */
var BlockList = function BlockList(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$hasBorder = _ref.hasBorder,
      hasBorder = _ref$hasBorder === void 0 ? true : _ref$hasBorder,
      maxHeight = _ref.maxHeight,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "hasBorder", "maxHeight", "testSection"]);

  var classes = (0, _classnames["default"])({
    "background--white": true,
    "overflow-x--auto": true,
    "border--all": hasBorder
  }, className);
  return _react["default"].createElement("div", _extends({
    "data-oui-component": true,
    className: classes,
    "data-test-section": testSection,
    style: {
      maxHeight: maxHeight
    }
  }, props), _react["default"].createElement("ul", {
    style: {
      display: "inline-block",
      minWidth: "100%"
    }
  }, children));
};

BlockList.propTypes = {
  /** Should be subcomponents of `BlockList` */
  children: _propTypes["default"].node.isRequired,

  /** CSS class names. */
  className: _propTypes["default"].string,

  /** Should the `BlockList` contain a border on all sides */
  hasBorder: _propTypes["default"].bool,

  /**
   * The max height of the `BlockList`. Pixels will be assumed if no unit is
   * provided.
   */
  maxHeight: _propTypes["default"].oneOfType([_propTypes["default"].number, _propTypes["default"].string]),

  /** Hook for automated JavaScript tests */
  testSection: _propTypes["default"].string
};
BlockList.Category = _Category["default"];
BlockList.Item = _Item["default"];
var _default = BlockList;
exports["default"] = _default;