"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _HelpPopover = _interopRequireDefault(require("../HelpPopover"));

var _Row = _interopRequireDefault(require("../Form/Row"));

var _Item = _interopRequireDefault(require("../Form/Item"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Fieldset = function Fieldset(_ref) {
  var bottomSpacing = _ref.bottomSpacing,
      children = _ref.children,
      className = _ref.className,
      description = _ref.description,
      helpIcon = _ref.helpIcon,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      popoverText = _ref.popoverText,
      popoverTitle = _ref.popoverTitle,
      testSection = _ref.testSection,
      title = _ref.title,
      titleSize = _ref.titleSize,
      props = _objectWithoutProperties(_ref, ["bottomSpacing", "children", "className", "description", "helpIcon", "isOptional", "isRequired", "popoverText", "popoverTitle", "testSection", "title", "titleSize"]);

  var headerClasses = (0, _classnames["default"])({
    "push--bottom": titleSize === "large",
    "push-half--bottom": titleSize === "small",
    gamma: titleSize === "large",
    epsilon: titleSize === "small",
    "oui-label--required": isRequired
  });
  var fieldsetClasses = (0, _classnames["default"])({
    "push-triple--bottom": bottomSpacing,
    "flush--bottom": !bottomSpacing
  }, className);
  return _react["default"].createElement("fieldset", _extends({
    "data-test-section": testSection,
    className: fieldsetClasses
  }, props), title && _react["default"].createElement("legend", {
    className: headerClasses
  }, title, isOptional && _react["default"].createElement("label", {
    className: "oui-label__optional"
  }, "(Optional)"), helpIcon && _react["default"].createElement(_HelpPopover["default"], {
    popoverTitle: popoverTitle,
    horizontalAttachment: "left",
    verticalAttachment: "middle"
  }, _react["default"].createElement("p", null, popoverText))), description && _react["default"].createElement("div", {
    className: "push--bottom"
  }, description), children);
};

Fieldset.Row = _Row["default"];
Fieldset.Item = _Item["default"];
Fieldset.propTypes = {
  /** Adds spacing at the bottom. If used in a Form, make this to true. */
  bottomSpacing: _propTypes["default"].bool,

  /** Children components. Should be Fieldset.Row or Fieldset.Item for proper spacing */
  children: _propTypes["default"].node.isRequired,

  /** CSS class names. */
  className: _propTypes["default"].string,

  /** Description for Fieldset */
  description: _propTypes["default"].node,

  /** Indicates whether to include a help popover */
  helpIcon: _propTypes["default"].bool,

  /** Indicates whether to include the "optional" tag to the fieldset */
  isOptional: _propTypes["default"].bool,

  /** Indicates whether to include a required asterisk */
  isRequired: _propTypes["default"].bool,

  /** Text for popover */
  popoverText: _propTypes["default"].string,

  /** Title for popover */
  popoverTitle: _propTypes["default"].string,
  testSection: _propTypes["default"].string,

  /** Title for Fieldset */
  title: _propTypes["default"].string,

  /** Size of Fieldset title*/
  titleSize: _propTypes["default"].oneOf(["small", "large"])
};
Fieldset.defaultProps = {
  bottomSpacing: true,
  titleSize: "large"
};
var _default = Fieldset;
exports["default"] = _default;