"use strict";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LayoutGridCell = exports.LayoutGrid = exports.LayoutGridContainer = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _grid = require("../Grid/grid");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LayoutGridContainer = (0, _react.forwardRef)(function (props, ref) {
  // @ts-ignore Layout is an internal prop to avoid code duplication for LayoutGrid
  return _react["default"].createElement(_grid.GridContainer, _extends({
    layout: true,
    ref: ref
  }, props));
});
exports.LayoutGridContainer = LayoutGridContainer;
LayoutGridContainer.propTypes = {
  children: _propTypes["default"].any,
  className: _propTypes["default"].string,
  ref: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].func, _propTypes["default"].object]),
  tag: _propTypes["default"].any
};
LayoutGridContainer.displayName = "LayoutGridContainer";
var LayoutGrid = (0, _react.forwardRef)(function (props, ref) {
  // @ts-ignore Layout is an internal prop to avoid code duplication for LayoutGrid
  return _react["default"].createElement(_grid.Grid, _extends({
    layout: true,
    ref: ref
  }, props));
});
exports.LayoutGrid = LayoutGrid;
LayoutGrid.propTypes = {
  children: _propTypes["default"].any,
  className: _propTypes["default"].string,
  ref: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].func, _propTypes["default"].object]),
  tag: _propTypes["default"].any
};
LayoutGrid.displayName = "LayoutGrid";
var LayoutGridCell = (0, _react.forwardRef)(function (props, ref) {
  // @ts-ignore Layout is an internal prop to avoid code duplication for LayoutGrid
  return _react["default"].createElement(_grid.GridCell, _extends({
    layout: true,
    ref: ref
  }, props));
});
exports.LayoutGridCell = LayoutGridCell;
LayoutGridCell.propTypes = {
  children: _propTypes["default"].any,
  className: _propTypes["default"].string,
  large: _propTypes["default"].number,
  medium: _propTypes["default"].number,
  ref: _propTypes["default"].oneOfType([_propTypes["default"].string, _propTypes["default"].func, _propTypes["default"].object]),
  small: _propTypes["default"].number,
  tag: _propTypes["default"].any
};
LayoutGridCell.displayName = "LayoutGridCell";