"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.ListGroupItem = exports.ListGroup = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 *
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */
var ListGroup = function ListGroup(_ref) {
  var children = _ref.children,
      className = _ref.className,
      subtitle = _ref.subtitle,
      testSection = _ref.testSection,
      title = _ref.title,
      props = _objectWithoutProperties(_ref, ["children", "className", "subtitle", "testSection", "title"]);

  return _react["default"].createElement("div", _extends({
    className: (0, _classnames["default"])("oui-listgroup flex soft--top soft--bottom border--bottom", className),
    "data-test-section": testSection
  }, props), _react["default"].createElement("div", {
    className: "width--1-4"
  }, _react["default"].createElement("div", {
    className: "zeta muted weight--normal"
  }), _react["default"].createElement("div", {
    className: "epsilon line--tight force-break"
  }, title), _react["default"].createElement("div", {
    className: "micro muted push-half--ends"
  }, subtitle)), _react["default"].createElement("div", {
    className: "group flex--1 soft--left"
  }, children));
};

exports.ListGroup = ListGroup;
ListGroup.propTypes = {
  children: _propTypes["default"].oneOfType([_propTypes["default"].node, _propTypes["default"].arrayOf(_propTypes["default"].node)]).isRequired,

  /** CSS class names. */
  className: _propTypes["default"].string,
  subtitle: _propTypes["default"].string,
  testSection: _propTypes["default"].string,
  title: _propTypes["default"].string
};
ListGroup.defaultProps = {
  subtitle: "",
  testSection: "",
  title: ""
};
/**
 *
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

var ListGroupItem = function ListGroupItem(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      density = _ref2.density,
      testSection = _ref2.testSection,
      props = _objectWithoutProperties(_ref2, ["children", "className", "density", "testSection"]);

  var classes = (0, _classnames["default"])({
    listgroup__item: true,
    "border--bottom": true,
    "soft--bottom soft--top": density === "tight",
    "soft-double--bottom soft-double--top": density === "loose"
  }, className);
  return _react["default"].createElement("div", _extends({
    className: classes,
    "data-test-section": testSection
  }, props), children);
};

exports.ListGroupItem = ListGroupItem;
ListGroupItem.propTypes = {
  children: _propTypes["default"].node.isRequired,

  /** CSS class names. */
  className: _propTypes["default"].string,
  density: _propTypes["default"].oneOf(["tight", "loose"]),
  testSection: _propTypes["default"].string
};
ListGroupItem.defaultProps = {
  density: "loose"
};
ListGroup.Item = ListGroupItem;
var _default = ListGroup;
exports["default"] = _default;