"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Header = _interopRequireDefault(require("./Header"));

var _NavList = _interopRequireDefault(require("./NavList"));

var _NavItem = _interopRequireDefault(require("./NavItem"));

var _HeaderDetails = _interopRequireDefault(require("./HeaderDetails"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ManagerSideNav = function ManagerSideNav(_ref) {
  var children = _ref.children,
      className = _ref.className,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "testSection"]);

  var renderChildrenByType = function renderChildrenByType(ComponentType) {
    return _react["default"].Children.toArray(children).filter(function (child) {
      return child.type === ComponentType;
    }).map(function (element) {
      return _react["default"].cloneElement(element);
    });
  };

  return _react["default"].createElement("div", _extends({
    "data-ui-component": true,
    "data-test-section": testSection,
    className: (0, _classnames["default"])("oui-manager-side-nav stage__item__content--column", className)
  }, props), renderChildrenByType(_Header["default"]), _react["default"].createElement("div", {
    className: "sidenav__body"
  }, renderChildrenByType(_NavList["default"])));
};

ManagerSideNav.propTypes = {
  // eslint-disable-next-line valid-jsdoc

  /* Allowed children are ManagerSideNav's Header and NavList*/
  children: function children(props, propName) {
    var prop = props[propName];
    var error = null;

    _react["default"].Children.forEach(prop, function (child) {
      if (child === null) {
        return;
      }

      if (![_Header["default"], _NavList["default"]].includes(child.type)) {
        error = new Error("Children of ManagerSideNav should be of type Header or NavList.");
      }
    });

    return error;
  },

  /** CSS class names. */
  className: _propTypes["default"].string,

  /** Value used for testing via data-test-section attribute */
  testSection: _propTypes["default"].string
};
ManagerSideNav.defaultProps = {
  testSection: ""
};
ManagerSideNav.Header = _Header["default"];
ManagerSideNav.HeaderDetails = _HeaderDetails["default"];
ManagerSideNav.NavList = _NavList["default"];
ManagerSideNav.NavItem = _NavItem["default"];
var _default = ManagerSideNav;
exports["default"] = _default;