"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Generates an `spinner` element with/without overlay and optinaly
 * using props for sizes small or tiny for smaller sizes.
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */
var Spinner = function Spinner(_ref) {
  var className = _ref.className,
      hasOverlay = _ref.hasOverlay,
      size = _ref.size,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["className", "hasOverlay", "size", "testSection"]);

  var classes = (0, _classnames["default"])("oui-spinner", _defineProperty({}, "oui-spinner--".concat(size), size));

  if (hasOverlay) {
    return _react["default"].createElement("div", _extends({
      "data-oui-component": true,
      "data-test-section": testSection,
      className: (0, _classnames["default"])("oui-overlay", className)
    }, props), _react["default"].createElement("div", {
      className: classes
    }));
  }

  return _react["default"].createElement("div", _extends({
    "data-test-section": testSection,
    className: (0, _classnames["default"])(classes, className)
  }, props));
};

Spinner.propTypes = {
  /** CSS class names. */
  className: _propTypes["default"].string,

  /** boolean class for establish overlay */
  hasOverlay: _propTypes["default"].bool,

  /** various sizes */
  size: _propTypes["default"].oneOf(["small", "tiny"]),

  /** Hook for automated JavaScript tests */
  testSection: _propTypes["default"].string
};
Spinner.displayName = "Spinner";
var _default = Spinner;
exports["default"] = _default;