"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * Individual tab component. Only meant to be used within the
 * TabNav wrapper component
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */
var Tab = function Tab(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isActive = _ref.isActive,
      isDisabled = _ref.isDisabled,
      onClick = _ref.onClick,
      tabId = _ref.tabId,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "isActive", "isDisabled", "onClick", "tabId", "testSection"]);

  var classes = (0, _classnames["default"])({
    "oui-tabs-nav__item": true,
    "oui-tab-disabled": isDisabled,
    "is-active": isActive
  }, className);
  return _react["default"].createElement("li", _extends({
    "data-test-section": testSection,
    className: classes,
    onClick: onClick
  }, props), children);
};

Tab.propTypes = {
  /** Text or element that appears within the component */
  children: _propTypes["default"].node,

  /** CSS class names. */
  className: _propTypes["default"].string,

  /** Should the `TabNav.Tab` visually appear to be active */
  isActive: _propTypes["default"].bool,

  /** Boolean for whether the tab should be given the disabled class */
  isDisabled: _propTypes["default"].bool,

  /** Function to perform when tab is clicked */
  onClick: _propTypes["default"].func.isRequired,

  /** String to identify tab, used in conjunction with activeTab */
  tabId: _propTypes["default"].string.isRequired,

  /** Hook for automated JavaScript tests */
  testSection: _propTypes["default"].string
};
Tab.displayName = "TabNav.Tab";
var _default = Tab;
exports["default"] = _default;