function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import PropTypes from "prop-types";
import classNames from "classnames";
import Category from "./Category";
import Item from "./Item";
/**
 * Building blocks to display a list of items that perform actions.
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

var BlockList = function BlockList(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$hasBorder = _ref.hasBorder,
      hasBorder = _ref$hasBorder === void 0 ? true : _ref$hasBorder,
      maxHeight = _ref.maxHeight,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "hasBorder", "maxHeight", "testSection"]);

  var classes = classNames({
    "background--white": true,
    "overflow-x--auto": true,
    "border--all": hasBorder
  }, className);
  return React.createElement("div", _extends({
    "data-oui-component": true,
    className: classes,
    "data-test-section": testSection,
    style: {
      maxHeight: maxHeight
    }
  }, props), React.createElement("ul", {
    style: {
      display: "inline-block",
      minWidth: "100%"
    }
  }, children));
};

BlockList.propTypes = {
  /** Should be subcomponents of `BlockList` */
  children: PropTypes.node.isRequired,

  /** CSS class names. */
  className: PropTypes.string,

  /** Should the `BlockList` contain a border on all sides */
  hasBorder: PropTypes.bool,

  /**
   * The max height of the `BlockList`. Pixels will be assumed if no unit is
   * provided.
   */
  maxHeight: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),

  /** Hook for automated JavaScript tests */
  testSection: PropTypes.string
};
BlockList.Category = Category;
BlockList.Item = Item;
export default BlockList;