function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import PropTypes from "prop-types";
import classNames from "classnames";
import Label from "../Label";
/**
 * Generates a `checkbox` element wrapped in a Label
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

var Checkbox = function Checkbox(_ref) {
  var checked = _ref.checked,
      className = _ref.className,
      defaultChecked = _ref.defaultChecked,
      isDisabled = _ref.isDisabled,
      label = _ref.label,
      labelWeight = _ref.labelWeight,
      onChange = _ref.onChange,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["checked", "className", "defaultChecked", "isDisabled", "label", "labelWeight", "onChange", "testSection"]);

  var labelClassNames = classNames({
    "flush--bottom": true,
    "push--left": true,
    "weight--light": labelWeight === "light",
    "weight--normal": labelWeight === "normal",
    "weight--bold": labelWeight === "bold",
    "cursor--pointer": true,
    "oui-label--disabled": isDisabled
  });
  var classes = classNames({
    "flex--none": true
  }, className);
  return React.createElement(Label, {
    testSection: testSection && testSection + "-label"
  }, React.createElement("div", {
    className: "flex"
  }, React.createElement("input", _extends({
    "data-oui-component": true,
    type: "checkbox",
    defaultChecked: defaultChecked,
    checked: checked,
    className: classes,
    disabled: isDisabled,
    onChange: onChange,
    "data-test-section": testSection,
    style: {
      marginTop: "0.35em"
    }
  }, props)), React.createElement("div", {
    className: labelClassNames
  }, label)));
};

Checkbox.propTypes = {
  /** Boolean to set checkbox, for controlled component  */
  checked: PropTypes.bool,

  /** CSS class names. */
  className: PropTypes.string,

  /** Boolean for how checkbox renders initially  */
  defaultChecked: PropTypes.bool,

  /** Prevents checkbox from being modified and appears disabled */
  isDisabled: PropTypes.bool,

  /** Label that describes the checkbox */
  label: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),

  /** Font weight for the label text */
  labelWeight: PropTypes.oneOf(["light", "normal", "bold"]),

  /** Function that fires when the checkbox is clicked */
  onChange: PropTypes.func,

  /** Hook for automated JavaScript tests */
  testSection: PropTypes.string
};
Checkbox.defaultProps = {
  labelWeight: "normal"
};
export default Checkbox;