function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from "prop-types";
import React from "react";
import { Draggable } from "react-beautiful-dnd";

var DraggableItem = function DraggableItem(_ref) {
  var className = _ref.className,
      id = _ref.id,
      index = _ref.index,
      item = _ref.item,
      renderFunc = _ref.renderFunc,
      useCustomDragHandle = _ref.useCustomDragHandle,
      props = _objectWithoutProperties(_ref, ["className", "id", "index", "item", "renderFunc", "useCustomDragHandle"]);

  return React.createElement(Draggable, _extends({
    key: item.id,
    draggableId: id.toString(),
    index: index,
    className: className
  }, props), function (provided, snapshot) {
    return React.createElement("li", _extends({
      className: "oui-sortable__item flex",
      ref: provided.innerRef
    }, provided.draggableProps, useCustomDragHandle ? {} : provided.dragHandleProps), renderFunc({
      item: item,
      index: index,
      snapshot: snapshot,
      dragHandleProps: provided.dragHandleProps
    }));
  });
};

DraggableItem.propTypes = {
  /**
   * Id for this particular Draggable Item
   */
  id: PropTypes.number.isRequired,

  /**
   * Current index for this particular Draggable Item
   */
  index: PropTypes.number.isRequired,

  /**
   * Item to render using render function pass as prop
   */
  item: PropTypes.shape({
    id: PropTypes.number
  }).isRequired,

  /**
   * Function used to render the contents of this Draggable Item
   */
  renderFunc: PropTypes.func.isRequired,

  /**
   * Whether or not the item itself will make use of the drag handle
   */
  useCustomDragHandle: PropTypes.bool
};
export default DraggableItem;