function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from "prop-types";
import React from "react";
import classNames from "classnames";

var Row = function Row(_ref) {
  var children = _ref.children,
      className = _ref.className,
      isFullWidth = _ref.isFullWidth,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "isFullWidth", "testSection"]);

  var mappedChildren = children.map(function (child, idx) {
    var rowClassname = classNames({
      "flex--1": isFullWidth,
      "push-double--right": idx < children.length - 1
    });
    return React.createElement("div", {
      key: idx,
      className: rowClassname
    }, child);
  });
  return React.createElement("div", _extends({
    "data-test-section": testSection,
    className: classNames("flex", className)
  }, props), mappedChildren);
};

Row.propTypes = {
  children: PropTypes.node.isRequired,

  /** CSS class names. */
  className: PropTypes.string,

  /** Indicates whether items in the row should take up as much width as possible */
  isFullWidth: PropTypes.bool,
  testSection: PropTypes.string
};
export default Row;