function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from "prop-types";
import React from "react";
import HelpPopover from "../HelpPopover";
import Section from "./Section";
import Item from "./Item";
import Row from "./Row";
import classNames from "classnames";

var Form = function Form(_ref) {
  var children = _ref.children,
      className = _ref.className,
      description = _ref.description,
      helpIcon = _ref.helpIcon,
      popoverText = _ref.popoverText,
      popoverTitle = _ref.popoverTitle,
      testSection = _ref.testSection,
      title = _ref.title,
      props = _objectWithoutProperties(_ref, ["children", "className", "description", "helpIcon", "popoverText", "popoverTitle", "testSection", "title"]);

  var formTitleClasses = classNames({
    "push--bottom": description,
    "push-double--bottom": !description
  });
  return React.createElement("form", _extends({
    "data-test-section": testSection,
    className: classNames("oui-form-fields", className)
  }, props), title && React.createElement("h2", {
    className: formTitleClasses
  }, title, helpIcon && React.createElement(HelpPopover, {
    popoverTitle: popoverTitle,
    horizontalAttachment: "left",
    verticalAttachment: "middle"
  }, React.createElement("p", null, popoverText))), description && React.createElement("p", {
    className: "push-double--bottom epsilon"
  }, description), children);
};

Form.Section = Section;
Form.Item = Item;
Form.Row = Row;
Form.propTypes = {
  children: PropTypes.node.isRequired,

  /** CSS class names. */
  className: PropTypes.string,

  /** Description for Form */
  description: PropTypes.node,

  /** Indicates whether to include a help popover */
  helpIcon: PropTypes.bool,

  /** Text for popover */
  popoverText: PropTypes.string,

  /** Title for popover */
  popoverTitle: PropTypes.string,
  testSection: PropTypes.string,

  /** Title for Form */
  title: PropTypes.string
};
export default Form;