function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import PropTypes from "prop-types";
import React from "react";
import OverlayWrapper from "../OverlayWrapper";
import Popover from "../Popover";
import Icon from "react-oui-icons";

var HelpPopover = function HelpPopover(_ref) {
  var behavior = _ref.behavior,
      children = _ref.children,
      className = _ref.className,
      horizontalAttachment = _ref.horizontalAttachment,
      iconSize = _ref.iconSize,
      isConstrainedToScreen = _ref.isConstrainedToScreen,
      popoverTitle = _ref.popoverTitle,
      verticalAttachment = _ref.verticalAttachment,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["behavior", "children", "className", "horizontalAttachment", "iconSize", "isConstrainedToScreen", "popoverTitle", "verticalAttachment", "testSection"]);

  return React.createElement(OverlayWrapper, _extends({
    behavior: behavior,
    className: className,
    horizontalAttachment: horizontalAttachment,
    isConstrainedToScreen: isConstrainedToScreen,
    overlay: React.createElement(Popover, {
      title: popoverTitle
    }, children),
    testSection: testSection,
    verticalAttachment: verticalAttachment
  }, props), React.createElement("span", {
    className: "cursor--pointer push-half--left",
    "data-test-section": "help-popover-icon"
  }, React.createElement(Icon, {
    name: "help",
    size: iconSize
  })));
};

HelpPopover.propTypes = {
  /** Event to listen to and open the overlay */
  behavior: PropTypes.oneOf(["click", "hover"]),

  /** Description of thing that the person hovered for. */
  children: PropTypes.node.isRequired,

  /** CSS class names. */
  className: PropTypes.string,

  /** Side of the `overlay` that should attach to the `children` */
  horizontalAttachment: PropTypes.oneOf(["left", "center", "right"]),

  /** Size of icon */
  iconSize: PropTypes.oneOf(["small", "medium", "large"]),

  /** Attach `overlay` to an edge of the screen if it is going to move off */
  isConstrainedToScreen: PropTypes.bool,

  /** Title of thing that is being described. */
  popoverTitle: PropTypes.string,

  /** Test section */
  testSection: PropTypes.string,

  /** Vertical edge of the `overlay` that should touch the `children` */
  verticalAttachment: PropTypes.oneOf(["top", "middle", "bottom"])
};
HelpPopover.defaultProps = {
  behavior: "click",
  iconSize: "medium",
  isConstrainedToScreen: true,
  testSection: "help-popover"
};
export default HelpPopover;