function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import PropTypes from "prop-types";
import classNames from "classnames";
/**
 * Wraps text or HTML in a `label` element. Often used to label inputs.
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

var Label = function Label(_ref) {
  var children = _ref.children,
      className = _ref.className,
      inputId = _ref.inputId,
      isOptional = _ref.isOptional,
      isRequired = _ref.isRequired,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["children", "className", "inputId", "isOptional", "isRequired", "testSection"]);

  var classes = null;
  var fieldLabel = null;

  if (isRequired) {
    fieldLabel = React.createElement("span", {
      className: "oui-label--required"
    });
  } else if (isOptional) {
    fieldLabel = React.createElement("span", {
      className: "oui-label__optional"
    }, "(Optional)");
  }

  if (typeof children === "string") {
    classes = "oui-label";
  }

  return React.createElement("label", _extends({
    "data-oui-component": true,
    className: classNames(classes, className),
    "data-test-section": testSection,
    htmlFor: inputId
  }, props), children, fieldLabel);
};

Label.propTypes = {
  /** What the label describes */
  children: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.node.isRequired]),

  /** CSS class names. */
  className: PropTypes.string,

  /** Id of the input to properly associate with this label */
  inputId: PropTypes.string,

  /** Includes optional label if true */
  isOptional: PropTypes.bool,

  /** Includes required asterisk label if true */
  isRequired: PropTypes.bool,

  /** Hook for automated JavaScript tests */
  testSection: PropTypes.string
};
export default Label;