import React from "react";
import { render, shallow } from "enzyme";
import { LayoutGrid, LayoutGridCell, LayoutGridContainer } from "./layout-grid";
describe("LayoutGrid", function () {
  it("renders correctly", function () {
    var layoutGrid = render(React.createElement(LayoutGridContainer, null, React.createElement(LayoutGrid, null, React.createElement(LayoutGridCell, null, React.createElement("p", null, "Content")), React.createElement(LayoutGridCell, null, React.createElement("p", null, "More content")))));
    expect(layoutGrid).toMatchSnapshot();
  });
  describe("when given a className", function () {
    it("appends it to the root element", function () {
      var component = shallow(React.createElement(LayoutGrid, {
        className: "extra-class"
      }, "Text"));
      expect(component.prop("className").includes("extra-class")).toBe(true);
    });
  });
  describe("when given an unknown prop", function () {
    it("passes it to the root element", function () {
      // @ts-ignore: `unknownProps` is not part of any typed interface and therefore a good test value.
      var component = shallow(React.createElement(LayoutGrid, {
        unknownProp: "some value"
      }, "Text")); // @ts-ignore: toHaveProp exists from jest-enzyme, but TS isn't picking it up

      expect(component).toHaveProp({
        unknownProp: "some value"
      });
    });
  });
});