function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import PropTypes from "prop-types";
import classNames from "classnames";
/**
 *
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

export var ListGroup = function ListGroup(_ref) {
  var children = _ref.children,
      className = _ref.className,
      subtitle = _ref.subtitle,
      testSection = _ref.testSection,
      title = _ref.title,
      props = _objectWithoutProperties(_ref, ["children", "className", "subtitle", "testSection", "title"]);

  return React.createElement("div", _extends({
    className: classNames("oui-listgroup flex soft--top soft--bottom border--bottom", className),
    "data-test-section": testSection
  }, props), React.createElement("div", {
    className: "width--1-4"
  }, React.createElement("div", {
    className: "zeta muted weight--normal"
  }), React.createElement("div", {
    className: "epsilon line--tight force-break"
  }, title), React.createElement("div", {
    className: "micro muted push-half--ends"
  }, subtitle)), React.createElement("div", {
    className: "group flex--1 soft--left"
  }, children));
};
ListGroup.propTypes = {
  children: PropTypes.oneOfType([PropTypes.node, PropTypes.arrayOf(PropTypes.node)]).isRequired,

  /** CSS class names. */
  className: PropTypes.string,
  subtitle: PropTypes.string,
  testSection: PropTypes.string,
  title: PropTypes.string
};
ListGroup.defaultProps = {
  subtitle: "",
  testSection: "",
  title: ""
};
/**
 *
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

export var ListGroupItem = function ListGroupItem(_ref2) {
  var children = _ref2.children,
      className = _ref2.className,
      density = _ref2.density,
      testSection = _ref2.testSection,
      props = _objectWithoutProperties(_ref2, ["children", "className", "density", "testSection"]);

  var classes = classNames({
    listgroup__item: true,
    "border--bottom": true,
    "soft--bottom soft--top": density === "tight",
    "soft-double--bottom soft-double--top": density === "loose"
  }, className);
  return React.createElement("div", _extends({
    className: classes,
    "data-test-section": testSection
  }, props), children);
};
ListGroupItem.propTypes = {
  children: PropTypes.node.isRequired,

  /** CSS class names. */
  className: PropTypes.string,
  density: PropTypes.oneOf(["tight", "loose"]),
  testSection: PropTypes.string
};
ListGroupItem.defaultProps = {
  density: "loose"
};
ListGroup.Item = ListGroupItem;
export default ListGroup;