function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import PropTypes from "prop-types";
import classnames from "classnames";
/**
 *
 * @param {Object} props - Properties passed to component
 * @returns {ReactElement}
 */

var Switch = function Switch(_ref) {
  var ariaLabel = _ref.ariaLabel,
      checked = _ref.checked,
      className = _ref.className,
      _ref$elementId = _ref.elementId,
      elementId = _ref$elementId === void 0 ? "switch1" : _ref$elementId,
      isDisabled = _ref.isDisabled,
      onClick = _ref.onClick,
      testSection = _ref.testSection,
      props = _objectWithoutProperties(_ref, ["ariaLabel", "checked", "className", "elementId", "isDisabled", "onClick", "testSection"]);

  var switchClasses = classnames({
    "oui-switch": true,
    "oui-switch--disabled": isDisabled
  }, className);
  return React.createElement("div", {
    className: "position--relative flex flex-align--center",
    "data-oui-component": true,
    "data-test-section": testSection
  }, React.createElement("input", _extends({
    "aria-label": ariaLabel,
    type: "checkbox",
    id: elementId,
    className: switchClasses,
    checked: checked,
    onClick: onClick,
    disabled: isDisabled
  }, props)), React.createElement("label", {
    htmlFor: elementId,
    "data-on-label": "On",
    "data-off-label": "Off"
  }));
};

Switch.propTypes = {
  /**
   * Hidden label to describe this switch
   * Must be used when no clear associated context
   * is available in the UI.
   */
  ariaLabel: PropTypes.string,
  // checked true means the switch is on; false is off
  checked: PropTypes.bool,

  /** CSS class names. */
  className: PropTypes.string,
  // string for label/input id pair, should be unique to the page
  elementId: PropTypes.string.isRequired,

  /** Whether it is disabled, will render greyscale if so **/
  isDisabled: PropTypes.bool,
  // onClick function
  onClick: PropTypes.func,

  /** Hook for automated JavaScript tests */
  testSection: PropTypes.string
};
export default Switch;